OrderByTestImplementation (Apache Geode 1.8.0)
Date: 2018-11-29

org.apache.geode.cache.query.functional

## Class OrderByTestImplementation

- java.lang.Object
- - org.apache.geode.cache.query.functional.OrderByTestImplementation

- Direct Known Subclasses:
    OrderByPartitionedJUnitTestBase

      public abstract class OrderByTestImplementation
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OrderByTestImplementation()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract boolean` | `assertIndexUsedOnQueryNode()`
    `abstract Index` | `createIndex(java.lang.String indexName, IndexType indexType, java.lang.String indexedExpression, java.lang.String fromClause)`
    `abstract Index` | `createIndex(java.lang.String indexName, java.lang.String indexedExpression, java.lang.String regionPath)`
    `abstract Region` | `createRegion(java.lang.String regionName, java.lang.Class valueConstraint)`
    `abstract java.lang.String[]` | `getQueriesForLimitNotAppliedIfOrderByNotUsingIndex()`
    `abstract java.lang.String[]` | `getQueriesForMultiColOrderByWithIndexResultWithProjection()`
    `abstract java.lang.String[]` | `getQueriesForMultiColOrderByWithMultiIndexResultProjection()`
    `protected abstract java.lang.String[]` | `getQueriesForOrderByWithNullValues()`
    `void` | `setUp()`
    `void` | `tearDown()`
    `void` | `testLimitNotAppliedIfOrderByNotUsingIndex()`
    `void` | `testMultiColOrderByWithIndexResultDefaultProjection()`
    `void` | `testMultiColOrderByWithIndexResultWithProjection()`
    `void` | `testMultiColOrderByWithMultiIndexResultDefaultProjection()`
    `void` | `testMultiColOrderByWithMultiIndexResultProjection()`
    `void` | `testOrderByForUndefined()`
    `void` | `testOrderByWithColumnAlias_Bug52041_1()`
    `void` | `testOrderByWithColumnAlias_Bug52041_2()`
    `void` | `testOrderByWithIndexResultDefaultProjection()`
    `void` | `testOrderByWithIndexResultWithProjection()`
    `void` | `testOrderByWithNullValuesUseIndex()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OrderByTestImplementation

          public OrderByTestImplementation()

  - ### Method Detail

    - #### setUp

          public void setUp()
                     throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### tearDown

          public void tearDown()
                        throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### createRegion

          public abstract Region createRegion(java.lang.String regionName,
                                              java.lang.Class valueConstraint)

    - #### createIndex

          public abstract Index createIndex(java.lang.String indexName,
                                            IndexType indexType,
                                            java.lang.String indexedExpression,
                                            java.lang.String fromClause)
                                     throws IndexInvalidException,
                                            IndexNameConflictException,
                                            IndexExistsException,
                                            RegionNotFoundException,
                                            java.lang.UnsupportedOperationException

      Throws:
        `IndexInvalidException`
        `IndexNameConflictException`
        `IndexExistsException`
        `RegionNotFoundException`
        `java.lang.UnsupportedOperationException`

    - #### createIndex

          public abstract Index createIndex(java.lang.String indexName,
                                            java.lang.String indexedExpression,
                                            java.lang.String regionPath)
                                     throws IndexInvalidException,
                                            IndexNameConflictException,
                                            IndexExistsException,
                                            RegionNotFoundException,
                                            java.lang.UnsupportedOperationException

      Throws:
        `IndexInvalidException`
        `IndexNameConflictException`
        `IndexExistsException`
        `RegionNotFoundException`
        `java.lang.UnsupportedOperationException`

    - #### assertIndexUsedOnQueryNode

          public abstract boolean assertIndexUsedOnQueryNode()

    - #### testOrderByWithIndexResultDefaultProjection

          public void testOrderByWithIndexResultDefaultProjection()
                                                           throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testOrderByWithColumnAlias_Bug52041_1

          public void testOrderByWithColumnAlias_Bug52041_1()
                                                     throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testOrderByWithColumnAlias_Bug52041_2

          public void testOrderByWithColumnAlias_Bug52041_2()
                                                     throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testOrderByWithIndexResultWithProjection

          public void testOrderByWithIndexResultWithProjection()
                                                        throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testMultiColOrderByWithIndexResultDefaultProjection

          public void testMultiColOrderByWithIndexResultDefaultProjection()
                                                                   throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getQueriesForMultiColOrderByWithIndexResultWithProjection

          public abstract java.lang.String[] getQueriesForMultiColOrderByWithIndexResultWithProjection()

    - #### testMultiColOrderByWithIndexResultWithProjection

          public void testMultiColOrderByWithIndexResultWithProjection()
                                                                throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testMultiColOrderByWithMultiIndexResultDefaultProjection

          public void testMultiColOrderByWithMultiIndexResultDefaultProjection()
                                                                        throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getQueriesForMultiColOrderByWithMultiIndexResultProjection

          public abstract java.lang.String[] getQueriesForMultiColOrderByWithMultiIndexResultProjection()

    - #### testMultiColOrderByWithMultiIndexResultProjection

          public void testMultiColOrderByWithMultiIndexResultProjection()
                                                                 throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getQueriesForLimitNotAppliedIfOrderByNotUsingIndex

          public abstract java.lang.String[] getQueriesForLimitNotAppliedIfOrderByNotUsingIndex()

    - #### testLimitNotAppliedIfOrderByNotUsingIndex

          public void testLimitNotAppliedIfOrderByNotUsingIndex()
                                                         throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getQueriesForOrderByWithNullValues

          protected abstract java.lang.String[] getQueriesForOrderByWithNullValues()

    - #### testOrderByWithNullValuesUseIndex

          public void testOrderByWithNullValuesUseIndex()
                                                 throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testOrderByForUndefined

          public void testOrderByForUndefined()
                                       throws java.lang.Exception

      Throws:
        `java.lang.Exception`